Skip to main content
`Ctrl`+`K`

# DMShellSetCreateLocalVector

sets the routine to create a local vector associated with the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateLocalVector(DM dm, PetscErrorCode (*func)(DM dm, Vec *l))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- func - the creation routine

## Calling sequence of `func`

- dm - the `DM`

- l - the local `Vec` to be created

## See Also

`DM`, `DMSHELL`, `DMShellSetLocalVector()`, `DMShellSetCreateMatrix()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/ksp/ksp/tutorials/ex73.c
src/ksp/ksp/tutorials/ex65.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages